{
	"name": "plugin/vue-renderer/style/nc-component-style.json",
	"no_style_component": ["text"],
	"style": {
		".nc-rect": {
			"attribute": {
				"border": "1px solid black",
				"width": "100%",
				"height": "100%"
			}
		},
		".nc-line": {
			"attribute": {
				"color": "black",
				"background-color": "black",
				"border-width": 0,
				"min-width": "100%",
				"height": "1px"
			}
		},
		".nc-line-v": {
			"attribute": {
				"color": "black",
				"background-color": "black",
				"border-width": 0,
				"min-height": "100%",
				"width": "1px"
			}
		},
		".nc-textarea": {
			"attribute": {
				"overflow-x": "hidden"
			}
		},
		".nc-input": {
			"attribute": {
				"width": "100%",
				"min-width": "2em"
			}
		},
		".nc-form-field": {
			"attribute": {
				"width": "100%"
			}
		},
		".nc-span": {
			"attribute": { "width": "100%", "height": "100%" }
		},
		".nc-icon": {
			"attribute": { "width": "1em", "height": "1em" }
		},
		".nc-image": {
			"attribute": { "width": "100%", "height": "100%", "object-fit": "contain" }
		},
		".nc-barcode": {
			"attribute": { "width": "100%", "height": "100%" }
		},
		".nc-label-textarea": {
			"attribute": {}
		},
		".nc-label": {
			"attribute": { "font-weight": "500" }
		},
		".nc-label-input": { "attribute": {} },
		".nc-label-input-label": { "attribute": { "margin-right": "1em" } },
		".nc-report": {
			"element": {
				".nc-label": {
					"attribute": { "font-weight": "normal", "font-size": "16px" }
				},
				".nc-line": {
					"attribute": { "border-width": 1, "width": "100%", "height": "0px" }
				},
				".nc-line-v": {
					"attribute": { "border-width": 1, "height": "100%", "width": "0px" }
				},
				".nc-input": {
					"attribute": { "word-wrap": "normal" }
				},
				".nc-textarea": {
					"attribute": { "word-wrap": "normal" }
				}
			}
		},
		".nc-report-header": {
			"attribute": {}
		},
		".nc-report-footer": {
			"attribute": {}
		},
		".nc-group": {
			"attribute": {}
		},
		".nc-group-header": {
			"attribute": {}
		},
		".nc-group-footer": {
			"attribute": {}
		},
		".nc-background": {
			"attribute": {}
		},
		".nc-detail": {
			"attribute": {}
		},
		".nc-summary": {
			"attribute": {}
		}
	}
}
